    import {ObjectsKdTree3} from '@xeokit/xeokit-bim-viewer/src/collision/ObjectsKdTree3.js'

public class | source

# ObjectsKdTree3

A k-d tree for World-space 3D Entity collision detection with AABBs and frustums.

## Constructor Summary

Public Constructor
public | constructor () |

## Member Summary

Public Members
public get | root : * Gets the root ObjectsKdTree3 node. |
public | viewer : * |

## Method Summary

Public Methods
public | destroy () Destroys this ObjectsKdTree3. |

## Public Constructors

### public constructor() source

## Public Members

### public get root: * source

Gets the root ObjectsKdTree3 node.

### public viewer: * source

## Public Methods

### public destroy() source

Destroys this ObjectsKdTree3.